MFchi - Aufgabe #2292

#WgTextv: kombinierter Datei-Filter
07/24/2015 08:24 PM - Matthias Frey

Status: Offen Start date: 07/24/2015
Priority: Normal Due date:

Assignee: Matthias Frey % Done: 0%
Category: Programm Estimated time: 0:00 hour

Sprint/Milestone:

AltelD: Build:

Oeffentlich: Domain: Textverarbeitung
Bereich: Was ist neu: todo
Description

Was das Offnen von Dateien im Allgemeinen betrifft, wére es sehr niitzlich, einen kombinierten Datei-Filter, der alle unterstiitzten
Dateiformate (.txm, .txu, .docx, .doc, .txt, .htm, .html, .hed) im Verzeichnis anzeigt, zu integrieren. Also so, wie das die meisten
Textverarbeitungen handhaben. (Ich meine nicht einen "Alle Dateien"-Filter, der auch alle méglichen anderen MFchi-Dateien in
\eigen anzeigt, und im DF auch vorhanden ist.) Das miisste doch auch funktionieren, wenn txt in zweierlei Formaten (ANSI + UC)
gespeichert sein kann? Am besten wére dann, dass dieser Filter als Standard-Filter fungiert.

Einfligen eines Texts in ein Textdokument der internen TV (Einfiigen - Text): Hier kbnnen Unicode-txt nicht korrekt eingelesen
werden. Was praktisch ist am DF "Text einfiigen": Es merkt sich zumindest in der Programmlaufzeit, welcher Filter zuletzt verwendet
war. Falls mein Vorschlag mit dem kombinierten Filter fiir Datei - Offnen nicht méglich ist, kénnte diese Verhaltensweise
tibernommen werden. Wenn allerdings ein kombinierter Filter (mit den unterstiitzten Dateiformaten) machbar ist, kbnnte man diesen
auch fiirs Einfiigen eines Texts verwenden. Warum gibt es hier weniger einfiigbare Formate als beim reinen Offnen? Es sollten hier
(auBer Unicode-Text) doch zumindest auch txm/txu méglich sein?

History

#1 - 07/25/2015 08:04 AM - Matthias Frey

- Description updated

#2 - 07/25/2015 08:06 AM - Matthias Frey

- Description updated

#3 - 07/28/2015 07:55 PM - Matthias Frey
- Subject changed from #RgTextv: kombinierter Datei-Filter to #/gTextv: kombinierter Datei-Filter

#4 - 08/27/2015 10:03 AM - Matthias Frey

- Domain set to Textverarbeitung
